# TODO
# - R: clamav? library requiring daemon???
Summary:	A Python interface to libclamav
Summary(pl.UTF-8):	Interfejs Pythona do libclamav
Name:		python-pyclamav
Version:	0.4.1
Release:	16
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://norman.free.fr/norman/python/pyclamav/pyclamav-%{version}.tar.gz
# Source0-md5:	9e1f29ea118bac87223ff4df3c077556
Patch0:		%{name}-new-api.patch
URL:		http://xael.org/norman/python/pyclamav/index.html
BuildRequires:	clamav-devel >= 0.95
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	clamav >= 0.95
Requires:	python
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python interface to libclamav.

%description -l pl.UTF-8
Interfejs Pythona do libclamav.

%prep
%setup -q -n pyclamav-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags} $(pkg-config --cflags libclamav)"
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install

cp -a example.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt CHANGELOG
%attr(755,root,root) %{py_sitedir}/pyclamav.so
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/example.py
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pyclamav-%{version}-py*.egg-info
%endif
%changelog
* Fri Oct 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyclamav.git;a=log;h=master

* Fri Oct 22 2021 Jan Rękorajski <baggins@pld-linux.org> 68a9c11
- Release 16 (by relup.sh)

* Tue Dec 11 2018 Jakub Bogusz <qboosh@pld-linux.org> 2b9ca3a
- enable all parsers in the future

* Tue Dec 11 2018 Jakub Bogusz <qboosh@pld-linux.org> d8fde09
- adjusted new-api patch to cover clamav 0.101; release 15

* Wed Mar 30 2016 Jan Rękorajski <baggins@pld-linux.org> 50d71ac
- use new build and install macros
- rel 14

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8527dc5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6c8dd1d
- release 13 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2e615e0
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e6d3f23
- release 12

* Wed Jan 27 2010 Elan Ruusamäe <glen@pld-linux.org> d17ac3d
- BR: rpm-pythonprov

* Wed Jan 27 2010 Elan Ruusamäe <glen@pld-linux.org> dbbbf85
- BR python-modules (ImportError: No module named distutils.core)

* Tue Jan 26 2010 Elan Ruusamäe <glen@pld-linux.org> 1365aac
- release 11

* Wed May 06 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 73f32ae
- added -new-api.patch (fixes build with clamav >= 0.95)
- release 10

* Wed May 06 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 84b4eac
- use new Clamav API (patch from Debian)

* Fri Apr 17 2009 areq <areq@pld-linux.org> 6d329cc
- rel 9

* Sun Nov 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 8049920
- release 8

* Sun Oct 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b61666
- release 7

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f2634d
- release 6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 21ba4c6
- release 5

* Fri Sep 05 2008 Elan Ruusamäe <glen@pld-linux.org> 4f899f0
- release 4 (new clamav soname)

* Sun Apr 27 2008 Elan Ruusamäe <glen@pld-linux.org> ee3c811
- release 3

